[FFe] Upgrade rabbitmq-server to 2.7.1

Bug #922600 reported by Thomas Herve on 2012-01-27
This bug affects 1 person
Affects Status Importance Assigned to Milestone
rabbitmq-server (Debian)
Fix Released
rabbitmq-server (Ubuntu)
Clint Byrum

Bug Description

This is a feature freeze exception for RabbitMQ (rabbitmq-server) in precise:

It is quite important to have the latest rabbitmq release in Precise, which contains several improvements and bug fixes.

Upstream and the OpenStack project have requested that 2.7.1 be made available in precise, citing numerous bugs in 2.6.1 and the availability of important plugins in 2.7.1.

I had meant to upload it before Feature Freeze, but was side-tracked by a number of issues and did not manage to do so. Meanwhile, our own OpenStack integration tests have been running on the 2.7.1 packages which I built, and are available here:


Our entire suite of precise tests have been running against this version of RabbitMQ in that PPA since last friday (Feb 24). No problems have been found.

The release announcement upstream cites bug fixes for the High Availability functionality of RabbitMQ:


There are more details here:


Changed in rabbitmq-server (Ubuntu):
importance: Undecided → Wishlist
status: New → Triaged
Changed in rabbitmq-server (Debian):
status: Unknown → Confirmed
Clint Byrum (clint-fewbar) wrote :

Attempted to package 2.7.1, but getting some weird failures because the build scripts seem to make use of git, which is not shipped with the tarball. Probably a bug in the way they're generating their dist tarballs.

echo UPSTREAM_SHORT_HASH:=`git --git-dir=eldap-wrapper/eldap-git/.git log -n 1 HEAD | grep commit | cut -b 8-14` >eldap-wrapper/build/hash.mk
/bin/sh: 1: git: not found
make[3]: Leaving directory `/«PKGBUILDDIR»/plugins-src'

summary: - Upgrade rabbitmq-server to 2.7.1
+ [FFe] Upgrade rabbitmq-server to 2.7.1
Clint Byrum (clint-fewbar) wrote :

The cited issues were resolved, and the package builds well. Filing as a feature freeze exception since we are past FF.

description: updated
Changed in rabbitmq-server (Ubuntu):
status: Triaged → In Progress
importance: Wishlist → High
assignee: nobody → Clint Byrum (clint-fewbar)
status: In Progress → Fix Committed
status: Fix Committed → New
Scott Kitterman (kitterman) wrote :

As long as you've tested with all the rdepends, go ahead.

Changed in rabbitmq-server (Ubuntu):
status: New → Triaged
Clint Byrum (clint-fewbar) wrote :

The only explicit reverse depenency is rabbitmq-stomp. That is being superseded by this release, as the plugin is now included with the server. We'll need to consolidate the configs from that package into this one, but for now the package still *works* fine and the configs are used properly, it just uses the 2.7.1 internal plugin rather than the external one.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rabbitmq-server - 2.7.1-0ubuntu1

rabbitmq-server (2.7.1-0ubuntu1) precise; urgency=low

  * New upstream release. (LP: #922600)
  * Apply patch to include inets from the appropriate place. Fixes
  * d/control: adding necessary build-deps for 2.7.1
 -- Clint Byrum <email address hidden> Tue, 28 Feb 2012 09:55:49 -0800

Changed in rabbitmq-server (Ubuntu):
status: Triaged → Fix Released
Thomas Herve (therve) wrote :

The new version lost the fix introduced in bug #913464. The rabbitmq user appears in connected users and prevents desktop machine from shutting down.

Changed in rabbitmq-server (Debian):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.